;;; lang-rust.el --- Configuración para el lenguaje Rust -*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Archivo de configuración para el lenguaje Rust

;;; Code:

(use-package rust-mode
  :defer t
  :straight t
  :ensure t
  :config
  (setq rust-format-on-save t))

;; Rustic es necesario solamente si se usa lsp-mode + flycheck.
;; (use-package rustic
;;   :defer t
;;   :straight t
;;   :ensure t
;;   :config
;;   ;;(setq rustic-lsp-server 'rls)
;;   (setq rustic-lsp-client 'lsp)
;;   ;;(setq rustic-lsp-client nil)
;;   (push 'rustic-clippy flycheck-checkers))

(provide 'lang-rust)
;;; lang-rust.el ends here
